Package Details: safeeyes 2.1.3-1

Git Clone URL: https://aur.archlinux.org/safeeyes.git (read-only, click to copy)
Package Base: safeeyes
Description: A Free and Open Source tool for Linux users to reduce and prevent repetitive strain injury (RSI).
Upstream URL: https://github.com/slgobinath/SafeEyes
Keywords: eye-strain rsi safeeyes utility
Licenses: GPL3
Submitter: Yamakaky
Maintainer: gobinath
Last Packager: gobinath
Votes: 41
Popularity: 0.55
First Submitted: 2016-10-25 04:33
Last Updated: 2021-04-20 12:31

Latest Comments

1 2 Next › Last »

gobinath commented on 2021-05-13 12:34

@kiankasad sorry for the late reply. I've create a new issue to track this plugin installation issue https://github.com/slgobinath/SafeEyes/issues/446 Pls note that the plugins can be added to the ~/.config/safeeyes/plugin folder. For more details, see https://github.com/safeeyes/safeeyes-plugins#installation

kiankasad commented on 2021-04-16 01:28

@gobinath I forgot that the weather plugin was a third-party one that I installed manually. Your logic makes total sense, since the plugin isn't part of the safeeyes package.

What do you think of creating a safeeyes-plugin-weather package that installs the plugin into /usr/lib/python3.9/site-packages/safeeyes/plugins/weather/? Is that a bad idea since we shouldn't be touching the site-packages/safeeyes/ directory since it's not technically part of the safeeyes python module?

gobinath commented on 2021-04-16 00:54

@kiankasad dependencies of third party plugins will not be added to the Safe Eyes installation package. Though we have only two plugins at the moment (weather and zoom), if the number of plugins grow, we may need to list a lot of optional dependencies here. At the moment, third party dependencies have to be installed manually and I have a plan to automate this process. By that time, we can have an option to install the dependencies automatically.

kiankasad commented on 2021-03-22 02:35

Would you mind adding python-pyowm to the optional dependencies list? It's required for the Weather plugin.

yochananmarqos commented on 2021-01-31 21:35

@piotrv: Fixed with python-croniter 1.0.5-2.

piotrv commented on 2021-01-31 20:24

Settings windows doesn't popup if optional python-croniter 1.0.5-1 has been installed

E3LDDfrK commented on 2021-01-03 08:29

It seems it lost its transparency on my Xfce desktop. I wonder if anyone else has the same problem? Or is it Xfce's fault? They had a big update recently that broke things.

yochananmarqos commented on 2020-12-26 19:12

@hexchain: See the open issue and here for the autostart entry.

hexchain commented on 2020-12-26 10:13

It seems that the .desktop file and the xdg autostart entry are gone.

yochananmarqos commented on 2020-12-25 17:56

This now requires python-croniter.